## gcc-snapshot 20260121

=== debian/changelog ===
gcc-snapshot (1:20260121-1ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20260121).

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Jan 2026 06:59:49 +0100

gcc-snapshot (1:20260121-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20260121).
  * Don't build multilibs on s390x anymore. Closes: #1125360.
  * Build using amdgcn-tools-21. Closes: #1124101.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Jan 2026 05:10:56 +0100

gcc-snapshot (1:20251201-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20251201).

 -- Matthias Klose <doko@debian.org>  Mon, 01 Dec 2025 09:37:27 +0100
