## gcc-snapshot 20260125

=== debian/changelog ===
gcc-snapshot (1:20260125-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20260125).
  * Configure --without-build-config.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jan 2026 05:13:23 +0100
