## gcc-snapshot 20260203

=== debian/changelog ===
gcc-snapshot (1:20260203-0ubuntu3) resolute; urgency=medium

  * Snapshot, taken from the trunk (20260203).
  * Update newlib to 4.6.0.20260123.
  * For Ubuntu, try to build the snapshot with --enable-checking=release
    to save some build time (currentl 13 days).
  * Apply proposed patch for PR d/123953, fixing ftbfs on ppc64le.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Feb 2026 18:16:21 +0100
