=== debian/changelog ===
gcc-snapshot (1:20260216-1ubuntu1) resolute; urgency=medium

  * Snapshot, taken from the trunk (20260216).
  * On riscv64, default to rv64gc, RVA23 is currently broken.
    See PR target/124048.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Feb 2026 14:39:01 +0100

gcc-snapshot (1:20260216-1) unstable; urgency=medium

  * Snapshot, taken from the trunk (20260216).
  * Update newlib to 4.6.0.20260123.
  * For Ubuntu, try to build the snapshot with --enable-checking=release
    to save some build time (currentl 13 days).

 -- Matthias Klose <doko@debian.org>  Mon, 16 Feb 2026 12:21:03 +0100
